<?php
/*
Plugin Name: Riddle Quiz Maker
Plugin URI: https://wordpress.org/plugins/riddle-quiz-maker/
Description: Collect leads and engage your audience with 15 types of quizzes, personality tests, surveys, and more on Riddle.com - then use our plug-in to easily embed them into any page or post.
Version: 4.3.5
Author: Riddle Technologies AG
Author URI: https://www.riddle.com/
License: GPL2
License URI: https://www.gnu.org/licenses/gpl-2.0.html
 */

require dirname(__FILE__) . '/src/init.php';

$riddlePlugin = new src\classes\RiddlePlugin();

$riddleCredentials = src\classes\UserSettings::loadAPICredentials();
$riddleApiKey = $riddleCredentials['apikey'];
$riddleBearer = $riddleCredentials['bearer'];

/**
 * This plugin supports both Riddle API versions.
 */
if (!$riddleBearer) {
    $riddleLoader = new src\classes\RiddleLoader($riddlePlugin, $riddleApiKey);
} else {
    $riddleLoader = new src\classes\RiddleLoaderV2($riddlePlugin, $riddleApiKey, $riddleBearer);
}

$riddlePlugin->run();


// === functions ===

function activatePlugin() {
    global $riddlePlugin;
    $riddlePlugin->activate();
}

function deactivatePlugin() {
    global $riddlePlugin;
    $riddlePlugin->deactivate();
}