<?php

namespace src\classes;

class Controller 
{

    public static function view($view, $data = null) 
    {
        $viewPath = RIDDLE_PLUGIN_PATH . "/src/views/$view.php";

        if(!file_exists($viewPath)) {
            return false;
        }

        return require $viewPath;
    }

    public static function redirectToAdminpage($page) 
    {
        $url = admin_url('admin.php?page=' . $page);
        wp_redirect($url);
        exit();
    }

    public static function displayOldApiAlert()
    {
        if (UserSettings::usesNewApi()) {
            return;
        }

        return self::view('alert-old-api');
    }

    protected static function _getSubpage($getName = 'subpage')
    {
        return self::_getGETValue($getName);
    }

    protected static function _getGETValue($getName)
    {
        return isset($_GET[$getName]) ? $_GET[$getName] : false;
    }

    protected static function _getPOSTValue($postName, $filter = true)
    {
        if (!isset($_POST[$postName])) {
            return false;
        }

        $value = trim($_POST[$postName]);
        
        return $filter ? filter_var($value, FILTER_SANITIZE_STRING) : $value;
    }

}