<?php

namespace src\classes;

class RiddleLoaderV2 extends RiddleLoader
{

    private $bearer;
    private $api;

    private $riddleParams;

    public function __construct($plugin, $token, $bearer)
    {
        parent::__construct($plugin, $token);

        $this->bearer = $bearer;
        $this->api = new ApiV2($bearer, $token);
        $this->riddleParams = [];
    }

    public function getTeamlist()
    {
        $teams = $this->api->getTeams();

        if ($teams === false) {
            return false;
        }
        
        if (!is_array($teams)) {
            return [];
        }

        foreach ($teams as $team)  {
            $this->teams[$team["id"]] = $team["name"];
        }

        return $this->teams;
    }

    public function setActiveTeam($teamId)
    {
        $this->riddleParams['teamId'] = $teamId;
    }

    public function getRiddles()
    {
        $riddles = $this->api->getRiddleList($this->riddleParams);

        if ($riddles === false) {
            return false;
        }
        
        if (!is_array($riddles)) {
            return [];
        }

        return $riddles['items'];
    }


    public function getEmbedCode($params)
    {
        $embed = $this->api->getRiddleEmbedCode($params);
        
        if (substr($embed, 0, 4) != "<div") { // if the embed code doesn't start with <div, it doesn't exist
            return false;
        }

        return $embed;
    }

    public function getApi()
    {
        return $this->api;
    }
}