<?php

namespace src\classes;

class UserSettings
{

    private static $KEY_NAME = 'riddle_apikey';
    private static $BEARER_NAME = 'riddle_bearer';
    private static $SELECTED_TEAM = 'riddle_selected_team';

    private static $key;
    private static $bearer;
    private static $selectedTeam;

    public static function addDefaults() 
    {
        \add_option(self::$KEY_NAME, '');
        \add_option(self::$BEARER_NAME, '');
        \add_option(self::$SELECTED_TEAM, '');
    }

    public static function destroySettings() 
    {
        \delete_option(self::$KEY_NAME);
        \delete_option(self::$BEARER_NAME);
        \delete_option(self::$SELECTED_TEAM);
    }

    public static function loadAPICredentials() 
    {

        self::$key = \get_option(self::$KEY_NAME, '');
        self::$bearer = \get_option(self::$BEARER_NAME, '');

        return [
            "apikey" => self::$key,
            "bearer" => self::$bearer,
        ];
    }

    public static function saveAPICredentials($key, $bearer) 
    {
        \update_option(self::$KEY_NAME, $key);
        \update_option(self::$BEARER_NAME, $bearer);
    }

    public static function setSelectedTeam($teamId)
    {
        self::$selectedTeam = $teamId;
        \update_option(self::$SELECTED_TEAM, $teamId);
    }

    public static function getSelectedTeam()
    {
        if (self::$selectedTeam) {
            return self::$selectedTeam;
        }

        return \get_option(self::$SELECTED_TEAM);
    }

    public static function usesNewApi() 
    {
        if (!self::$key) {
            self::loadAPICredentials();
        }

        return self::$bearer !== '' && self::$key !== '';
    }

}