<?php

$type = $data['type'];
$availableFields = $data['availableFields'];
$leadfieldNames = $type->getLeadfieldNames();
$leadfieldLabels = $type->getLeadfieldLabels();

?>

<?php if (!isset($availableFields['Email'])): ?>
    <h2>Whoops! There's no Email field in your lead form.</h2>
    <p>Please add a lead email field with the ID 'Email' to your lead form.</p>
    <p>Your RiddleID: <?php echo $type->getValue('id'); ?></p>

    <?php return false; ?>
<?php else: ?>
    <input type="hidden" name="riddle_type_id" value="<?php echo $type->getValue('id'); ?>">
    <input type="hidden" name="riddle_type_slug" value="<?php echo $type->getValue('slug'); ?>">
    <input type="hidden" class="riddleInputLeadFieldNames" name="riddle_type_leadfieldNames" value="<?php echo urlencode(json_encode($type->getArrayValue('leadfieldNames'))); ?>">

    Leaderboards are a powerful (and easy) way to add a sense of competition for your audience. Each quiz taker will see how they rank against your community. <br><br>
    Show the top scorers - and give each user an individualized ranking like “You scored better than XX% of all quiz takers.
    <hr>

    Add a picture to display about your leaderboard. <br>
    <input id="riddleLeaderboardPictureURL" type="hidden" name="riddle_type_leaderboardPictureURL" value="<?php echo $type->getValue('leaderboardPictureURL'); ?>" />
    <input id="riddleLeaderboardPictureAlt" type="hidden" name="riddle_type_leaderboardPictureAlt" value="<?php echo $type->getValue('leaderboardPictureAlt'); ?>">
    <input id="riddlePluginLeaderboardUploadPicture" type="button" class="button-primary" value="Choose Image" />
    <button type="button" class="btn btn-sm btn-danger" id="btn-remove-img">Remove Image</button>

    <br><br>

    Score message
    <input type="text" name="riddle_type_yourScoreText" class="form-control crp-form-input" placeholder="Enter a 'your score' text" value="<?php echo $type->getValue('yourScoreText'); ?>" required>

    <br>

    Leaderboard title
    <input type="text" name="riddle_type_leaderboardHeading" class="form-control crp-form-input" placeholder="Enter a heading" value="<?php echo $type->getValue('leaderboardHeading'); ?>" required>

    <br>

    Description
    <input type="text" name="riddle_type_leaderboardText" class="form-control crp-form-input" placeholder="Enter a description" value="<?php echo $type->getValue('leaderboardText'); ?>" required>

    <br>

    Define how your leaderboard should be displayed
    <ul id="sortable">
        <?php $i = 0; ?>

        <?php foreach($availableFields as $fieldName => $attr): ?>
            <?php $selected = in_array($fieldName, $leadfieldNames); ?>
            <?php $class = $selected ? 'btn-primary' : 'btn-secondary'; ?>
            <?php $label = isset($leadfieldLabels[$fieldName]) ? $leadfieldLabels[$fieldName] : ''; ?>
            
            <li class="ui-state-default btn <?php echo $class; ?>" style="width: 70%; text-align:left;">
                <span class="btn-leadfield" field="<?php echo $fieldName; ?>">
                    <span class="dashicons dashicons-<?php echo $selected ? 'minus' : 'plus'; ?> icon-<?php echo $fieldName; ?>"></span>
                    <?php echo $fieldName; ?> (<?php echo isset($attr['desc']) ? $attr['desc'] : 'imported from your lead fields'; ?>)
                </span>
                <input type="text" placeholder="Custom label for <?php echo $fieldName; ?>..." class="form-control label-input" value="<?php echo $label; ?>">
            </li>

            <?php $i++; ?>
        <?php endforeach; ?>
    </ul>

    <input type="hidden" name="riddle_type_leadfieldNames" id="leadfieldNames" value="<?php echo implode(',', $leadfieldNames); ?>">
    <input type="hidden" name="riddle_type_leadfieldNamesOrder" id="leadfieldNamesOrder" value="<?php echo $type->getValue('leadfieldNamesOrder'); ?>">
    <input type="hidden" name="riddle_type_leadfieldLabels" id="leadfieldLabels" value="<?php echo $type->getValue('leadfieldLabels'); ?>">

    <br>
    Result text (with %%PERCENTAGE%% variable)
    <input type="text" name="riddle_type_betterThanTemplate" class="form-control crp-form-input" placeholder="Enter a 'better than' Template" value="<?php echo $type->getValue('betterThanTemplate'); ?>" required>

    <br>

    Minimum comparison value - set the lowest % a user will see
    <input type="number" name="riddle_type_betterThanMin" class="form-control crp-form-input" placeholder="Enter a 'better than' minimum" value="<?php echo $type->getValue('betterThanMin'); ?>" required>

    <br>

    Overall ranking message
    <input type="text" name="riddle_type_placementTemplate" class="form-control crp-form-input" placeholder="Enter a 'placement' template" value="<?php echo $type->getValue('placementTemplate'); ?>" required>

    <br>

    Text message if there are no entries
    <input type="text" name="riddle_type_emptyMessage" class="form-control crp-form-input" placeholder="Enter a text" value="<?php echo $type->getValue('emptyMessage'); ?>" required>

    <br>

    Sort by
    <select name="riddle_type_leaderboardMode" id="" class="form-control crp-form-input">
        <?php foreach (unserialize(LEADERBOARD_MODES) as $value => $label): ?>
            <option value="<?php echo $value; ?>" <?php echo $value === $type->getValue('leaderboardMode') ? 'selected' : ''; ?>><?php echo $label; ?></option>
        <?php endforeach; ?>
    </select>

    <br>

    How many entries should be displayed?
    <select id="displayModeSelect" class="form-control">
        <?php foreach ($data['amountEntriesOptions'] as $value => $label): ?>
            <?php $selected = $value == $type->getValue('amountEntries'); ?>
            <option value="<?php echo $value; ?>" <?php echo $selected ? 'selected' : ''; ?>><?php echo $label; ?> <?php echo $selected ? '(selected)' : ''; ?></option>
        <?php endforeach; ?>
    </select>
        
    <div class="displayModeInputDiv" <?php echo in_array($type->getValue('amountEntries'), [-1, 10]) ? 'style="display:none;"' : ''; ?>>
        <br>
        Enter a number of entries:
        <input type="number" placeholder="Enter how many entries should be displayed..." name="riddle_type_amountEntries" class="displayModeInput form-control crp-form-input" value="<?php echo $type->getValue('amountEntries'); ?>" required>
    </div>

    <br>

    Motivational message
    <input type="text" name="riddle_type_missedPlaceTemplate" class="form-control crp-form-input" placeholder="Enter a general message they see" value="<?php echo $type->getValue('missedPlaceTemplate'); ?>" required>

    <div class="row mt-3">
        <div class="col-sm-6">
            <p>Calculation basis for the motivational message. Enter 10 if you want to calculate how the user performed compared to the top 10 entries.</p>
        </div>
        <div class="col-sm-6">
            <input type="number" name="riddle_type_missedPlaceIndexTemplate" class="form-control crp-form-input" placeholder="What's the border of your place section? E.g. Top 10 => 10" value="<?php echo $type->getValue('missedPlaceIndexTemplate'); ?>" required>
        </div>
    </div>

    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.10.3/jquery-ui.min.js"></script>
<?php endif; ?>