<div class="container-fluid pt-4">

    <?php echo src\classes\Controller::displayOldApiAlert(); ?>

    <h3>My riddles</h3>
    Welcome to Riddle - if you have any questions about our quiz maker, please ask us on support chat over on Riddle.com. <br>
    (We’re big customer support geeks - and from our CEO Boris down, we generally race each other to respond super fast!)

    <div class="row mt-4">
        <div class="col-sm-8" align="left">

            <?php if (!empty($data['teams'])): ?>
              <div class="riddle-form-wrapper">
                <form method="POST" class="team-select-form">
                    <label for="team">Choose your workspace:</label>
                    <select name="team" class="form-control riddle-select">
                        <option value="">My personal account</option>
                        <?php foreach ($data['teams'] as $teamId => $team): ?>
                            <option value="<?php echo $teamId; ?>" <?php echo $data['selectedTeam'] == $teamId ? "selected" : ""; ?>> <?php echo $team; ?> </option>
                        <?php endforeach; ?>
                    </select>
                </form>
              </div>

              <div class="alert alert-secondary mt-3" role="alert">
                <ol>
                    <li><strong>Select your riddle</strong> - then click the “copy to clipboard” button to add the shortcode to your clipboard.</li>
                    <li><strong>Paste this shortcode</strong> - into any post or page where you want your Riddle to appear.</li>
                </ol>
              </div>

            <?php endif; ?>

            <div>
                <?php if(!empty($data['riddles'])): ?>

                    <?php foreach ($data['riddles'] as $riddle): ?>
                    <div class="riddle-card p-2 mt-3 mb-3 pb-3">
                        <div class="row">
                            <div class="col-5">
                                <img src="<?php echo $riddle["thumb"]; ?>" alt="Riddle Thumbnail">
                            </div>
                            <div class="col-7">
                                <h5><?php echo $riddle["title"]; ?></h5>
                                <button class="btn btn-riddle btn-cyan btn-riddle-clipboard mt-3" data-riddle-id="<?php echo $riddle["id"]; ?>">Copy to clipboard</button>
                                <?php if ('quiz' === $riddle['type']): ?>
                                    <?php $type = isset($data['landingPages'][$riddle['id']]) ? $data['landingPages'][$riddle['id']] : false; ?>

                                    <?php if (!$type): ?>
                                        <a 
                                            class="btn btn-riddle btn-cyan btn-riddle-clipboard mt-3" 
                                            href="<?php echo get_site_url(null, 'wp-admin/admin.php?page=riddle-custom-result-pages&subpage=create&type=leaderboard&riddleId=' . $riddle['id'] . '&slug=' . urlencode($riddle["title"])); ?>"
                                        >Create leaderboard</a>
                                    <?php else: ?>
                                        <a 
                                            class="btn btn-riddle btn-cyan btn-riddle-clipboard mt-3" 
                                            href="<?php echo get_site_url(null, 'wp-admin/admin.php?page=riddle-custom-result-pages&subpage=edit&id=' . $type->getId()); ?>"
                                        >Edit leaderboard</a>
                                    <?php endif; ?>
                                <?php endif; ?>
                                <div class="alert alert-success riddle-copy-success mt-3" role="alert" data-riddle-id="<?php echo $riddle["id"]; ?>">
                                  Copied!
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php endforeach; ?>

                <?php else: ?>
                    <div style="text-align: center;">
                        Hm - no riddles found. Please use our  <a target="__blank" href="https://www.riddle.com/">Riddle quiz maker</a> to create content first. <br><br>
                        <a target="__blank" href="https://www.riddle.com/" class="btn btn-riddle btn-cyan">START CREATING</a>
                    </div>
                <?php endif; ?>
            </div>

            <hr>
            <div style="text-align: center;">
                Need help? Please use our support chat on <a target="__blank" href="https://www.riddle.com/">Riddle.com</a> or send us an email to <a href="mailto:hello@riddle.com">hello@riddle.com</a> - we respond super quickly.
            </div>
            <hr>
        </div>

        <div class="col-sm-4">
        </div>

    </div>

    <div class="col-sm-6" style="display: none;">
        <p class="riddle-text">Here is the shortcode, in case the automatic copying did not work:</p>
        <input type="text" class="magic-clipboard form-control" readonly>
    </div>

</div>